using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StartPoint : MonoBehaviour {

    public bool IsStart = false;

	void Start () {
        GameManager.Instance.RegisterCheckpoint(this, IsStart);
	}

    void OnTriggerEnter(Collider Other) {
        if (Other.transform == GameManager.Instance.Controler.transform) {
            GameManager.Instance.SetCheckpoint(this);
        }
    }
}
